Loading...
Searching...
No Matches
Schema Namespace Reference

this namespace contains all public definitions in the Schema module More...

## Classes

class | AbstractSchema
| the AbstractSchema class is a base class to assist with automatic schema management More...
class | AbstractVersionedSchema
| this class extends Schema::AbstractSchema by providing version logic based on a schema version string contained within the schema itself More...
struct | SchemaAlignmentInfo
| Provides information on schema changes. More...
class | SchemaCallbackHelper
| this class provides callback support for schema operations More...
struct | SchemaOptionInfo
| Schema option hash definitions. More...

## Functions

hash< GenericColumnInfo > | c_blob (bool notnull=False, *string comment)
| returns a column hash for a `BLOB` column More...
hash< GenericColumnInfo > | c_blob (string comment)
| returns a column hash for a `BLOB` column More...
hash< GenericColumnInfo > | c_char (int size, bool notnull=False, *string comment)
| returns a column hash for a `CHAR` column More...
hash< GenericColumnInfo > | c_char (int size, string comment)
| returns a column hash for a `CHAR` column More...
hash< GenericColumnInfo > | c_clob (bool notnull=False, *string comment)
| returns a column hash for a `CLOB` column More...
hash< GenericColumnInfo > | c_clob (string comment)
| returns a column hash for a `CLOB` column More...
hash< GenericColumnInfo > | c_date (bool notnull=False, *string comment)
| returns a column hash for a `DATE` column More...
hash< GenericColumnInfo > | c_date (string comment)
| returns a column hash for a `DATE` column More...
hash< GenericColumnInfo > | c_int (bool notnull=False, *string comment)
| returns a column hash for an `INT` column More...
hash< GenericColumnInfo > | c_int (string comment)
| returns a column hash for an `INT` column More...
hash< GenericColumnInfo > | c_number (bool notnull=False, *string comment)
| returns a column hash for a `NUMBER` or `NUMERIC` column More...
hash< GenericColumnInfo > | c_number (int size, bool notnull=False, *string comment)
| returns a column hash for a `NUMBER` or `NUMERIC` column More...
hash< GenericColumnInfo > | c_number (int size, int scale, bool notnull=False, *string comment)
| returns a column hash for a `NUMBER` or `NUMERIC` column More...
hash< GenericColumnInfo > | c_number (int size, string comment)
| returns a column hash for a `NUMBER` or `NUMERIC` column More...
hash< GenericColumnInfo > | c_timestamp (bool notnull=False, *string comment)
| returns a column hash for a `TIMESTAMP` column More...
hash< GenericColumnInfo > | c_timestamp (string comment)
| returns a column hash for a `TIMESTAMP` column More...
hash< GenericColumnInfo > | c_varchar (int size, bool notnull=False, *string comment)
| returns a column hash for a `VARCHAR` column More...
hash< GenericColumnInfo > | c_varchar (int size, string comment)
| returns a column hash for a `VARCHAR` column More...

## Variables

const | C_NOT_NULL = True
| Helper constant for column hash functions with "NOT NULL" constraint for better readability.
const | C_NULL = False
| Helper constant for column hash functions with "NULL" constraint for better readability.

## Detailed Description

this namespace contains all public definitions in the Schema module

## Function Documentation

## c_blob() [1/2]

hash< GenericColumnInfo > Schema::c_blob | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `BLOB` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_clob()

## c_blob() [2/2]

hash< GenericColumnInfo > Schema::c_blob | ( | string | comment | ) |

returns a column hash for a `BLOB` column

Parameters

  comment | the comment for the column

See also
  c_clob()

## c_char() [1/2]

hash< GenericColumnInfo > Schema::c_char | ( | int | size,
|  | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `CHAR` column

Parameters

  size | the size of the column
  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

## c_char() [2/2]

hash< GenericColumnInfo > Schema::c_char | ( | int | size,
|  | string | comment
| ) |  |

returns a column hash for a `CHAR` column

Parameters

  size | the size of the column
  comment | the comment for the column

## c_clob() [1/2]

hash< GenericColumnInfo > Schema::c_clob | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `CLOB` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_blob()

## c_clob() [2/2]

hash< GenericColumnInfo > Schema::c_clob | ( | string | comment | ) |

returns a column hash for a `CLOB` column

Parameters

  comment | the comment for the column

See also
  c_blob()

## c_date() [1/2]

hash< GenericColumnInfo > Schema::c_date | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `DATE` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_timestamp()

## c_date() [2/2]

hash< GenericColumnInfo > Schema::c_date | ( | string | comment | ) |

returns a column hash for a `DATE` column

Parameters

  comment | the comment for the column

See also
  c_timestamp()

## c_int() [1/2]

hash< GenericColumnInfo > Schema::c_int | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for an `INT` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

Note
  might be a numeric type if `INT` is not supported by the dataserver

See also
  c_number()

## c_int() [2/2]

hash< GenericColumnInfo > Schema::c_int | ( | string | comment | ) |

returns a column hash for an `INT` column

Parameters

  comment | the comment for the column

Note
  might be a numeric type if `INT` is not supported by the dataserver

See also
  c_number()

## c_number() [1/4]

hash< GenericColumnInfo > Schema::c_number | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `NUMBER` or `NUMERIC` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_int()

## c_number() [2/4]

hash< GenericColumnInfo > Schema::c_number | ( | int | size,
|  | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `NUMBER` or `NUMERIC` column

Parameters

  size | the size of the column
  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_int()

## c_number() [3/4]

hash< GenericColumnInfo > Schema::c_number | ( | int | size,
|  | int | scale,
|  | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `NUMBER` or `NUMERIC` column

Parameters

  size | the size of the column
  scale | the scale of the column
  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_int()

## c_number() [4/4]

hash< GenericColumnInfo > Schema::c_number | ( | int | size,
|  | string | comment
| ) |  |

returns a column hash for a `NUMBER` or `NUMERIC` column

Parameters

  size | the size of the column
  comment | a comment for the column

See also
  c_int()

## c_timestamp() [1/2]

hash< GenericColumnInfo > Schema::c_timestamp | ( | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `TIMESTAMP` column

Parameters

  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

See also
  c_date()

## c_timestamp() [2/2]

hash< GenericColumnInfo > Schema::c_timestamp | ( | string | comment | ) |

returns a column hash for a `TIMESTAMP` column

Parameters

  comment | the comment for the column

See also
  c_date()

## c_varchar() [1/2]

hash< GenericColumnInfo > Schema::c_varchar | ( | int | size,
|  | bool | notnull = `False`,
|  | *string | comment
| ) |  |

returns a column hash for a `VARCHAR` column

Parameters

  size | the size of the column
  notnull | True for a `NOT NULL` constraint on the column. See constants Schema::C_NULL and Schema::C_NOT_NULL
  comment | an optional comment for the column

## c_varchar() [2/2]

hash< GenericColumnInfo > Schema::c_varchar | ( | int | size,
|  | string | comment
| ) |  |

returns a column hash for a `VARCHAR` column

Parameters

  size | the size of the column
  comment | the comment for the column